
From: NeilBrown <neilb@cse.unsw.edu.au>

Instead of setting one value lots of times, let's set lots of values once
each, as we should..

From: Paul Clements <paul.clements@steeleye.com>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/md.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/md/md.c~md-fix-typo-in-super_1_sync drivers/md/md.c
--- 25/drivers/md/md.c~md-fix-typo-in-super_1_sync	2005-03-07 21:58:55.000000000 -0800
+++ 25-akpm/drivers/md/md.c	2005-03-07 21:58:55.000000000 -0800
@@ -940,7 +940,7 @@ static void super_1_sync(mddev_t *mddev,
 	
 	sb->max_dev = cpu_to_le32(max_dev);
 	for (i=0; i<max_dev;i++)
-		sb->dev_roles[max_dev] = cpu_to_le16(0xfffe);
+		sb->dev_roles[i] = cpu_to_le16(0xfffe);
 	
 	ITERATE_RDEV(mddev,rdev2,tmp) {
 		i = rdev2->desc_nr;
_
